SearchEvent
Keywords: javax.help.search.SearchEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.search
Class SearchEvent

    java.lang.Object
      java.util.EventObject
          javax.help.search.SearchEvent

All Implemented Interfaces:
  java.io.Serializable

public class SearchEvent
extends java.util.EventObject

Encapsulates information that describes changes to a SearchQuery. It is used to notify listeners of the change.

See Also:
  Serialized Form

Constructor Summary
`SearchEvent(java.lang.Object source, java.lang.String params, boolean searching)` Represents a change in the SearchEngine.
`SearchEvent(java.lang.Object source, java.lang.String params, boolean searching, java.util.Vector items)` Represents a change in the SearchEngine.

Method Summary
`java.lang.String` | `getParams()` Returns the parameters to the query.
`java.util.Enumeration` | `getSearchItems()` An enumerated list of SearchItems that match parameters of the query.
`boolean` | `isSearchCompleted()` A boolean value that indicates if the search is completed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchEvent

    public SearchEvent(java.lang.Object source,
                       java.lang.String params,
                       boolean searching)

  Represents a change in the SearchEngine. Used for starting the search or ending the search.

Parameters:
  `source` - The source of this event.
  `params` - The search parameters.
  `searching` - A boolean operator that indicates if searching is executing (true) or stopped (false).
Throws:
  `java.lang.IllegalArgumentException` - if source, or params is NULL.

### SearchEvent

    public SearchEvent(java.lang.Object source,
                       java.lang.String params,
                       boolean searching,
                       java.util.Vector items)

  Represents a change in the SearchEngine. Used to indicate that either a single item or a group of items have matched the params.

Parameters:
  `source` - The source of this event.
  `params` - The search parameters.
  `searching` - A boolean operator that indicates if a search is executing (true) or stopped (false).
  `items` - A Vector of SearchItems matching the the search params.
Throws:
  `java.lang.IllegalArgumentException` - if source, params, or items is NULL.
See Also:
  `java.javahelp.SearchItems`

Method Detail

### getParams

    public java.lang.String getParams()

  Returns the parameters to the query.

### isSearchCompleted

    public boolean isSearchCompleted()

  A boolean value that indicates if the search is completed.

### getSearchItems

    public java.util.Enumeration getSearchItems()

  An enumerated list of SearchItems that match parameters of the query.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD